Package ru.bitel.bgbilling.modules.onpay.server.bean

# Class Constants

java.lang.Object
ru.bitel.bgbilling.common.bean.BGBaseConstants
ru.bitel.bgbilling.modules.onpay.server.bean.Constants

public class Constants extends BGBaseConstants

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `KEY_ONPAY_CURRENCY`
  `static final String`
  `KEY_ONPAY_DIGEST_TYPE`
  `static final String`
  `KEY_ONPAY_FAILURE_URL`
  `static final String`
  `KEY_ONPAY_GATE_URL`
  `static final String`
  `KEY_ONPAY_MERCHANT_ID`
  `static final String`
  `KEY_ONPAY_PAYER_EMAIL`
  `static final String`
  `KEY_ONPAY_PAYER_PHONE_NUMBER`
  `static final String`
  `KEY_ONPAY_PAYMENT_COMMENT`
  `static final String`
  `KEY_ONPAY_PAYMENT_CONFIRMATION_URL`
  `static final String`
  `KEY_ONPAY_PAYMENT_DESC`
  `static final String`
  `KEY_ONPAY_PAYMENT_DESC_BASE64`
  `static final String`
  `KEY_ONPAY_PAYMENT_NOTIFICATION_URL`
  `static final String`
  `KEY_ONPAY_PAYMENT_TYPE_ID`
  `static final String`
  `KEY_ONPAY_SECRET`
  `static final String`
  `KEY_ONPAY_SIM_MODE`
  `static final String`
  `KEY_ONPAY_SUCCESS_URL`
  `static final String`
  `KEY_ONPAY_SUM_MAX`
  `static final String`
  `KEY_ONPAY_SUM_MIN`
  `static final String`
  `LMI_CURRENCY`
  Идентификатор валюты платежа.
  `static final String`
  `LMI_FAILURE_URL`
  Если присутствует, то при отмене платежа пользователь будет отправлен по указанному URL (а не установленному в настройках).
  `static final String`
  `LMI_HASH`
  Контрольная подпись запроса
  `static final String`
  `LMI_INVOICE_CONFIRMATION_URL`
  Если присутствует, то запрос Invoice Confirmation будет отправляться по указанному URL (а не установленному в настройках).
  `static final String`
  `LMI_MERCHANT_ID`
  Идентификатор учетной записи, под которым Компания зарегистрирована в системе Paymaster
  `static final String`
  `LMI_PAID_AMOUNT`
  Сумма платежа в валюте, в которой покупатель производит платеж
  Дробное число с разделителем “.”, не более 2 знаков после точки.
  `static final String`
  `LMI_PAID_CURRENCY`
  Валюта, в которой производится платеж
  Это не обязательно ISO-код валюты.
  `static final String`
  `LMI_PAYER_EMAIL`
  E-mail покупателя.
  `static final String`
  `LMI_PAYER_PHONE_NUMBER`
  Номер телефона покупателя в международном формате без ведущих символов + (например, 79031234567).
  `static final String`
  `LMI_PAYMENT_AMOUNT`
  Сумма платежа, которую Компания желает получить от Банка.
  `static final String`
  `LMI_PAYMENT_CONFIRMATION_URL`
  Если присутствует, то запрос Payment Confirmation будет отправляться по указанному URL (а не установленному в настройках).
  `static final String`
  `LMI_PAYMENT_DESC`
  Описание товара или услуги.
  `static final String`
  `LMI_PAYMENT_DESC_BASE64`
  Описание товара или услуги в UTF-8 и далее закодированное алгоритмом Base64.
  `static final String`
  `LMI_PAYMENT_NO`
  В этом поле Компания задает идентификатор покупки в соответствии со своей системой учета.
  `static final String`
  `LMI_PAYMENT_NOTIFICATION_URL`
  Если присутствует, то запрос Payment Notification будет отправляться по указанному URL (а не установленному в настройках).
  `static final String`
  `LMI_PAYMENT_SYSTEM`
  Идентификатор платежной системы, выбранной покупателем
  Список платежных систем и их идентификаторы доступны на сайте Paymaster.
  `static final String`
  `LMI_PREREQUEST`
  Флаг предзапроса
  Для запроса Invoice Confirmation - значение всегда 1.
  Для запроса Payment Confirmation - значение всегда 2.
  `static final String`
  `LMI_SIM_MODE`
  Дополнительное поле, определяющее режим тестирования.
  `static final String`
  `LMI_SUCCESS_URL`
  Если присутствует, то при успешном платеже пользователь будет отправлен по указанному URL (а не установленному в настройках).
  `static final String`
  `LMI_SYS_PAYMENT_DATE`
  Дата платежа
  Дата проведения платежа в системе Paymaster.
  `static final String`
  `LMI_SYS_PAYMENT_ID`
  Номер платежа в системе Paymaster
  Идентификатор платежа в системе Paymaster.
  `static final String`
  `ONPAY_CURRENCY`
  `static final String`
  `ONPAY_DIGEST_TYPE`
  `static final String`
  `ONPAY_GATE_URL`
  `static final String`
  `ONPAY_PAYMENT_COMMENT`
  `static final String`
  `ONPAY_PAYMENT_DESC`
  `static final int`
  `ONPAY_SUM_MAX`
  `static final int`
  `ONPAY_SUM_MIN`
  `static final String`
  `REDIRECT_URL`

  ### Fields inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

  `AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT, AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT, DEFAULT_FISCALIZATION_CUSTOMER_ADDRESS_TITLE, DEFAULT_SUM_MAX, DEFAULT_SUM_MIN, KEY_AUTOPAYMENT_ENABLE, KEY_AUTOPAYMENT_ID, KEY_AUTOPAYMENT_MODE, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_ENABLE, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_DAY, KEY_AUTOPAYMENT_MODE_MONTH_ENABLE, KEY_AUTOPAYMENT_MODE_MONTH_SUM, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MIN, KEY_AUTOPAYMENT_MODE_WEEK_DAY, KEY_AUTOPAYMENT_MODE_WEEK_ENABLE, KEY_AUTOPAYMENT_MODE_WEEK_SUM, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MIN, KEY_BILLING_NAME, KEY_COMMISSION_PERCENT, KEY_COMMISSION_TYPE, KEY_CUSTOMER_ADDRESS, KEY_CUSTOMER_ADDRESS_ENABLE, KEY_CUSTOMER_ADDRESS_REQUIRED, KEY_CUSTOMER_ADDRESS_TITLE, KEY_CUSTOMER_EMAIL, KEY_CUSTOMER_EMAIL_ENABLE, KEY_CUSTOMER_EMAIL_REQUIRED, KEY_MONTH, KEY_PAGE, KEY_PAYMENT_PHONE, KEY_PERIOD, KEY_STATUS, KEY_STATUS_LIST, KEY_SUM_MAX, KEY_SUM_MIN, KEY_TRANSACTIONS, KEY_YEAR, PATTERN_CARD, PATTERN_CONTRACT_COMMENT, PATTERN_CONTRACT_TITLE, PATTERN_TRANSACTION_ID, REQUEST_ATTR_CONTENT_TYPE, REQUEST_PARAM_CONTENT_TYPE, REQUEST_PARAM_CUSTOMER_ADDRESS, REQUEST_PARAM_CUSTOMER_EMAIL, REQUEST_PARAM_MONTH, REQUEST_PARAM_PAYMENT_EMAIL, REQUEST_PARAM_PAYMENT_PHONE, REQUEST_PARAM_STATUS, REQUEST_PARAM_SUM, REQUEST_PARAM_YEAR, STRING_AMP, STRING_EQUALS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Constants()`

- ## Method Summary

  ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

  `getIntConstantByName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ONPAY_SUM_MIN

    public static final int ONPAY_SUM_MIN
    See Also:
      - Constant Field Values

  - ### ONPAY_SUM_MAX

    public static final int ONPAY_SUM_MAX
    See Also:
      - Constant Field Values

  - ### ONPAY_GATE_URL

    public static final String ONPAY_GATE_URL
    See Also:
      - Constant Field Values

  - ### ONPAY_CURRENCY

    public static final String ONPAY_CURRENCY
    See Also:
      - Constant Field Values

  - ### ONPAY_DIGEST_TYPE

    public static final String ONPAY_DIGEST_TYPE
    See Also:
      - Constant Field Values

  - ### ONPAY_PAYMENT_DESC

    public static final String ONPAY_PAYMENT_DESC
    See Also:
      - Constant Field Values

  - ### ONPAY_PAYMENT_COMMENT

    public static final String ONPAY_PAYMENT_COMMENT
    See Also:
      - Constant Field Values

  - ### KEY_ONPAY_SUM_MIN

    public static final String KEY_ONPAY_SUM_MIN
    See Also:
      - Constant Field Values

  - ### KEY_ONPAY_SUM_MAX

    public static final String KEY_ONPAY_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_ONPAY_GATE_URL

    public static final String KEY_ONPAY_GATE_URL
    See Also:
      - Constant Field Values

  - ### KEY_ONPAY_DIGEST_TYPE

    public static final String KEY_ONPAY_DIGEST_TYPE
    See Also:
      - Constant Field Values

  - ### KEY_ONPAY_MERCHANT_ID

    public static final String KEY_ONPAY_MERCHANT_ID
    See Also:
      - Constant Field Values

  - ### KEY_ONPAY_CURRENCY

    public static final String KEY_ONPAY_CURRENCY
    See Also:
      - Constant Field Values

  - ### KEY_ONPAY_PAYMENT_DESC

    public static final String KEY_ONPAY_PAYMENT_DESC
    See Also:
      - Constant Field Values

  - ### KEY_ONPAY_PAYMENT_DESC_BASE64

    public static final String KEY_ONPAY_PAYMENT_DESC_BASE64
    See Also:
      - Constant Field Values

  - ### KEY_ONPAY_PAYMENT_COMMENT

    public static final String KEY_ONPAY_PAYMENT_COMMENT
    See Also:
      - Constant Field Values

  - ### KEY_ONPAY_PAYMENT_TYPE_ID

    public static final String KEY_ONPAY_PAYMENT_TYPE_ID
    See Also:
      - Constant Field Values

  - ### KEY_ONPAY_PAYMENT_CONFIRMATION_URL

    public static final String KEY_ONPAY_PAYMENT_CONFIRMATION_URL
    See Also:
      - Constant Field Values

  - ### KEY_ONPAY_PAYMENT_NOTIFICATION_URL

    public static final String KEY_ONPAY_PAYMENT_NOTIFICATION_URL
    See Also:
      - Constant Field Values

  - ### KEY_ONPAY_SECRET

    public static final String KEY_ONPAY_SECRET
    See Also:
      - Constant Field Values

  - ### KEY_ONPAY_SIM_MODE

    public static final String KEY_ONPAY_SIM_MODE
    See Also:
      - Constant Field Values

  - ### KEY_ONPAY_SUCCESS_URL

    public static final String KEY_ONPAY_SUCCESS_URL
    See Also:
      - Constant Field Values

  - ### KEY_ONPAY_FAILURE_URL

    public static final String KEY_ONPAY_FAILURE_URL
    See Also:
      - Constant Field Values

  - ### KEY_ONPAY_PAYER_EMAIL

    public static final String KEY_ONPAY_PAYER_EMAIL
    See Also:
      - Constant Field Values

  - ### KEY_ONPAY_PAYER_PHONE_NUMBER

    public static final String KEY_ONPAY_PAYER_PHONE_NUMBER
    See Also:
      - Constant Field Values

  - ### REDIRECT_URL

    public static final String REDIRECT_URL
    See Also:
      - Constant Field Values

  - ### LMI_MERCHANT_ID

    public static final String LMI_MERCHANT_ID
    Идентификатор учетной записи, под которым Компания зарегистрирована в системе Paymaster
    See Also:
      - Constant Field Values

  - ### LMI_PAYMENT_AMOUNT

    public static final String LMI_PAYMENT_AMOUNT
    Сумма платежа, которую Компания желает получить от Банка. Сумма должна быть больше нуля, дробная часть отделяется точкой.
    See Also:
      - Constant Field Values

  - ### LMI_CURRENCY

    public static final String LMI_CURRENCY
    Идентификатор валюты платежа. Система Paymaster понимает как текстовые 3-буквенные коды валюты (RUB, EUR), так и ISO-коды (643, 978)
    See Also:
      - Constant Field Values

  - ### LMI_PAYMENT_NO

    public static final String LMI_PAYMENT_NO
    В этом поле Компания задает идентификатор покупки в соответствии со своей системой учета. Несмотря на то, что параметр не является обязательным, мы рекомендуем всегда задавать его. Идентификатор должен представлять собой непустую строку.
    See Also:
      - Constant Field Values

  - ### LMI_PAYMENT_DESC

    public static final String LMI_PAYMENT_DESC
    Описание товара или услуги. Формируется Компанией. Максимальная длина - 255 символов.
    See Also:
      - Constant Field Values

  - ### LMI_PAYMENT_DESC_BASE64

    public static final String LMI_PAYMENT_DESC_BASE64
    Описание товара или услуги в UTF-8 и далее закодированное алгоритмом Base64. Формируется Компанией. Если присутствует, то результат раскодирования будет подставлен вместо LMI_PAYMENT_DESC. Позволяет не зависеть от кодировки на сайте Компании.
    See Also:
      - Constant Field Values

  - ### LMI_SIM_MODE

    public static final String LMI_SIM_MODE
    Дополнительное поле, определяющее режим тестирования. Действует только в режиме тестирования и может принимать одно из следующих значений: 0 или отсутствует: Для всех тестовых платежей сервис будет имитировать успешное выполнение; 1: Для всех тестовых платежей сервис будет имитировать выполнение с ошибкой (платеж не выполнен); 2: Около 80% запросов на платеж будут выполнены успешно, а 20% - не выполнены.
    See Also:
      - Constant Field Values

  - ### LMI_INVOICE_CONFIRMATION_URL

    public static final String LMI_INVOICE_CONFIRMATION_URL
    Если присутствует, то запрос Invoice Confirmation будет отправляться по указанному URL (а не установленному в настройках). Этот параметр игнорируется, если в настройках учетной записи Компании запрещена замена URL.
    See Also:
      - Constant Field Values

  - ### LMI_PAYMENT_CONFIRMATION_URL

    public static final String LMI_PAYMENT_CONFIRMATION_URL
    Если присутствует, то запрос Payment Confirmation будет отправляться по указанному URL (а не установленному в настройках). Этот параметр игнорируется, если в настройках учетной записи Компании запрещена замена URL.
    See Also:
      - Constant Field Values

  - ### LMI_PAYMENT_NOTIFICATION_URL

    public static final String LMI_PAYMENT_NOTIFICATION_URL
    Если присутствует, то запрос Payment Notification будет отправляться по указанному URL (а не установленному в настройках). Этот параметр игнорируется, если в настройках учетной записи Компании запрещена замена URL.
    See Also:
      - Constant Field Values

  - ### LMI_SUCCESS_URL

    public static final String LMI_SUCCESS_URL
    Если присутствует, то при успешном платеже пользователь будет отправлен по указанному URL (а не установленному в настройках). Этот параметр игнорируется, если в настройках учетной записи Компании запрещена замена URL.
    See Also:
      - Constant Field Values

  - ### LMI_FAILURE_URL

    public static final String LMI_FAILURE_URL
    Если присутствует, то при отмене платежа пользователь будет отправлен по указанному URL (а не установленному в настройках). Этот параметр игнорируется, если в настройках учетной записи Компании запрещена замена URL.
    See Also:
      - Constant Field Values

  - ### LMI_PAYER_PHONE_NUMBER

    public static final String LMI_PAYER_PHONE_NUMBER
    Номер телефона покупателя в международном формате без ведущих символов + (например, 79031234567). Эти данные используются системой Paymaster для оповещения пользователя о статусе платежа. Кроме того, некоторые платежные системы требуют указания номера телефона.
    See Also:
      - Constant Field Values

  - ### LMI_PAYER_EMAIL

    public static final String LMI_PAYER_EMAIL
    E-mail покупателя. Эти данные используются системой Paymaster для оповещения пользователя о статусе платежа. Кроме того, некоторые платежные системы требуют указания e-mail.
    See Also:
      - Constant Field Values

  - ### LMI_PREREQUEST

    public static final String LMI_PREREQUEST
    Флаг предзапроса
    Для запроса Invoice Confirmation - значение всегда 1.
    Для запроса Payment Confirmation - значение всегда 2.
    See Also:
      - Constant Field Values

  - ### LMI_PAID_AMOUNT

    public static final String LMI_PAID_AMOUNT
    Сумма платежа в валюте, в которой покупатель производит платеж
    Дробное число с разделителем “.”, не более 2 знаков после точки.
    See Also:
      - Constant Field Values

  - ### LMI_PAID_CURRENCY

    public static final String LMI_PAID_CURRENCY
    Валюта, в которой производится платеж
    Это не обязательно ISO-код валюты. Например, WMZ, YANDEX.RUB
    See Also:
      - Constant Field Values

  - ### LMI_PAYMENT_SYSTEM

    public static final String LMI_PAYMENT_SYSTEM
    Идентификатор платежной системы, выбранной покупателем
    Список платежных систем и их идентификаторы доступны на сайте Paymaster.
    See Also:
      - Constant Field Values

  - ### LMI_SYS_PAYMENT_ID

    public static final String LMI_SYS_PAYMENT_ID
    Номер платежа в системе Paymaster
    Идентификатор платежа в системе Paymaster. Компании рекомендуется сохранить этот идентификатор.
    See Also:
      - Constant Field Values

  - ### LMI_SYS_PAYMENT_DATE

    public static final String LMI_SYS_PAYMENT_DATE
    Дата платежа
    Дата проведения платежа в системе Paymaster. Формат YYYY-MM-DDThh:mm:ss, часовой пояс UTC.
    See Also:
      - Constant Field Values

  - ### LMI_HASH

    public static final String LMI_HASH
    Контрольная подпись запроса

    Контрольная подпись запроса, сформированая по правилам формирования контрольной подписи

    Для обеспечения целостности запроса, система Paymaster формирует контрольную подпись запроса Payment Notification по следующему правилу:

    1. Следующие параметры записываются в одну строчку, разделенные символом ‘;’: LMI_MERCHANT_ID, LMI_PAYMENT_NO, LMI_SYS_PAYMENT_ID, LMI_SYS_PAYMENT_DATE, LMI_PAYMENT_AMOUNT, LMI_CURRENCY, LMI_PAID_AMOUNT, LMI_PAID_CURRENCY, LMI_PAYMENT_SYSTEM, LMI_SIM_MODE (это все стандартные параметры, кроме LMI_PAYMENT_DESC). При этом если параметр отсутствует, вместо него пишется пустая строка.

    2. К строке добавляется еще один символ ‘;’ и секретное слово, указанное в настройках Компании.

    3. Полученная строка рассматривается как массив байтов в кодировке UTF-8, и от нее вычисляется хеш MD5 или SHA1 (в зависимости от того, какой метод указан в настройках учетной записи Компании).

    4. Этот хеш (последовательность байт) преобразовывается в Base64-строку. Эта строка и есть значение параметра LMI_HASH.

    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Constants

    public Constants()